Subject: Re: [PATCH v3 05/14] gnu: racket: Adjust patch for "/bin/sh" in rktio.

From: "Philip McGrath" <[email-masked]>
Date: Thu, 25 Aug 2022 15:16:06 -0400

On Thu, Aug 25, 2022, at 5:09 AM, Liliana Marie Prikler wrote:
> Am Donnerstag, dem 25.08.2022 um 04:54 -0400 schrieb Philip McGrath:
>> Use '_PATH_BSHELL' instead of a custom preprocessor macro. This may
>> not
>> be The Right Thing in the long term, but it at least avoids a
>> proliferation of 'CPPFLAGS'.
>> 
>> * gnu/packages/patches/racket-minimal-sh-via-rktio.patch: Rename to
>> ...
>> * gnu/packages/patches/racket-rktio-bin-sh.patch: ... this, and
>> change
>> to use '_PATH_BSHELL'.
>> * gnu/local.mk (dist_patch_DATA): Update accordingly.
>> * gnu/packages/racket.scm (%racket-origin)[patches]: Likewise.
>> (racket-vm-common-configure-flags): Stop setting 'CPPFLAGS'. Change
>> to a
>> constant instead of a function, since we no longer need the delay.
>> (racket-vm-cgc, racket-vm-bc,
>> racket-vm-cs)[arguments]<#:configure-flags>: Update accordingly.
>> [inputs]: Remove 'bash-minimal'.
> I'm not quite sure about removing bash-minimal, but otherwise LGTM.

`_PATH_BSHELL` expands to "/gnu/store/720rj90bch716isd8z7lcwrnvz28ap4y-bash-static-5.1.8/bin/sh", not bash-minimal.